#!/bin/sh
# Never ever curl some remote shit straight to shell, like:
# curl --proto '=https' --tlsv1.2 -sSf https://inex.dev/v/dotfiles/raw/branch/main/dot_scripts/executable_install_base.sh | sh
# - Seriously, don't do this, it's insecure!

# Pacman packages
sudo pacman --needed --noconfirm -Syu base-devel htop ranger git screen ncdu neovim pipewire sway swaybg xorg-server xorg-xwayland chezmoi foot polkit openssh firefox-developer-edition gnome-keyring xdg-utils qpwgraph qt6-wayland man-db

# Install Paru
if pacman -Qs paru > /dev/null ; then
  echo "'Paru' already installed."
else
  git clone https://aur.archlinux.org/paru-bin.git
  cd paru-bin/
  makepkg --needed --noconfirm -si
  cd ..
  rm -rf paru-bin/
fi

# AUR Packages
paru --needed --noconfirm -Syu paru-bin ttf-cascadia-code 

# Chezmoi apply dotfiles
chezmoi init --apply https://inex.dev/v/dotfiles.git
cd .local/share/chezmoi/
git remote set-url origin git@inex.dev:v/dotfiles.git
cd $HOME

if [ -f "$HOME/.ssh/id_ed25519.pub" ]; then
    echo "id_ed25519.pub exist"
else 
    echo "creating id_ed25519.pub..."
    ssh-keygen -t ed25519 -f "$HOME/.ssh/id_ed25519" -N ""
    eval "$(ssh-agent -s)"
    ssh-add ~/.ssh/id_ed25519
fi

sudo usermod -aG wheel,input,audio,video,lp v
sudo mkdir -p /etc/firefox/policies
sudo cp .local/share/chezmoi/dot_scripts/firefox_policies.json /etc/firefox/policies/policies.json
